Subject: [p2p-sip] Fw: STUN (rfc3489)

From: adamfisk at gmail.com (Adam Fisk)
Date: Sat, 26 Aug 2006 11:35:57 -0500

>
> Apologies for not getting back for so long..

Yep, we should have others make king beds. We just stack the king beds to
> build our house.

Precisely the way I would go about it.

> NATted peers that cannot open ports using UPnP should just be client/leaf
> > nodes and leave it at that.
> >
> > -Adam
>
> Do you or anyone know the percentage of residential or even enterprise
> users
> who ever use uPnP? I thought uPnP is used only in Microsoft :-)

I don't know percentages, but many if not most residential routers implement
UPnP.  Some have it turned off by default, but many do not.  I think
compliance is also wildly variable, but you can certainly add many public
addresses to the mix using UPnP in any case, as do most of the P2P networks
out there.

-Adam
-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://lists.cs.columbia.edu/pipermail/p2p-sip/attachments/20060826/7a181c3a/attachment.html